## hotot 0.9.7+git20111028.00039ca

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

project(hotot-qt)

find_package(Gettext REQUIRED)

option(WITH_KDE "Enable KDE4 integration" ON)

# Setup KDE4 support
if(WITH_KDE)
    find_package(KDE4)
    if(KDE4_FOUND)
        message(STATUS "Enabling KDE4 integration")
        include_directories(${KDE4_INCLUDES})
        add_definitions(${KDE4_DEFINITIONS})
        set(HAVE_KDE 1)
    else(KDE4_FOUND)
        message(STATUS "KDE4 not found, disabling KDE integration")
    endif(KDE4_FOUND)
    else(WITH_KDE)
        message(STATUS "Not enabling KDE4 integration")
endif(WITH_KDE)

if(NOT HAVE_KDE)
    find_package(Qt4 4.7 REQUIRED COMPONENTS QtCore QtGui QtWebkit QtSql)
endif(NOT HAVE_KDE)

configure_file(config.h.in config.h)

# uninstall target
configure_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/cmake/cmake_uninstall.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
    IMMEDIATE @ONLY)

set(CMAKE_CXX_FLAGS "-Wall -Wextra -Wno-sign-compare -Wno-unused-parameter -fvisibility=hidden ${CMAKE_CXX_FLAGS}")
set(CMAKE_SHARED_LINKER_FLAGS "-Wl,--as-needed ${CMAKE_SHARED_LINKER_FLAGS}")
set(CMAKE_MODULE_LINKER_FLAGS "-Wl,--as-needed ${CMAKE_MODULE_LINKER_FLAGS}")

add_custom_target(uninstall
    COMMAND ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake)

add_subdirectory(qt)

=== qt/data/CMakeLists.txt ===
install(DIRECTORY ${PROJECT_SOURCE_DIR}/data/ DESTINATION share/hotot-qt/html PATTERN .hg PATTERN *~ EXCLUDE)

install(FILES ${PROJECT_SOURCE_DIR}/data/image/ic24_hotot_mono_light.svg
        DESTINATION share/icons/hicolor/scalable/status/ RENAME hotot_qt-inactive.svg)
install(FILES ${PROJECT_SOURCE_DIR}/data/image/ic24_hotot_mono_dark.svg
        DESTINATION share/icons/hicolor/scalable/status/ RENAME hotot_qt-active.svg)
install(FILES hotot-qt.desktop DESTINATION share/applications/ )

install(DIRECTORY ${PROJECT_SOURCE_DIR}/data/icons/
        DESTINATION share/icons/hicolor/)

if (HAVE_KDE)
install(FILES hotot_qt.svg DESTINATION ${KDE4_DATA_INSTALL_DIR}/desktoptheme/default/icons)
endif (HAVE_KDE)

=== qt/src/CMakeLists.txt ===
include_directories(${QT_INCLUDE_DIR})
include_directories(${QT_QTCORE_INCLUDE_DIR})
include_directories(${QT_QTGUI_INCLUDE_DIR})
include_directories(${QT_QTSQL_INCLUDE_DIR})
include_directories(${QT_QTWEBKIT_INCLUDE_DIR})
include_directories(${QT_QTNETWORK_INCLUDE_DIR})
include_directories(${PROJECT_BINARY_DIR})
include_directories(${CMAKE_CURRENT_BINARY_DIR})
include_directories(${CMAKE_CURRENT_SOURCE_DIR})

set(Hotot_QT_SRCS
    formpost.cpp
    hototrequest.cpp
    main.cpp
    mainwindow.cpp
    hototwebpage.cpp
    trayiconbackend.cpp
    qttraybackend.cpp
)

if (HAVE_KDE)
    set(Hotot_QT_SRCS
        ${Hotot_QT_SRCS}
        kdetraybackend.cpp
    )
endif (HAVE_KDE)

qt4_automoc(${Hotot_QT_SRCS})
qt4_wrap_ui(Hotot_QT_SRCS mainwindow.ui)
add_executable(hotot-qt ${Hotot_QT_SRCS})
target_link_libraries(hotot-qt
    ${QT_QTCORE_LIBRARY}
    ${QT_QTGUI_LIBRARY}
    ${QT_QTSQL_LIBRARY}
    ${QT_QTWEBKIT_LIBRARY}
    ${QT_QTNETWORK_LIBRARY}
)

if(HAVE_KDE)
    target_link_libraries(hotot-qt ${KDE4_KDEUI_LIBRARY})
endif(HAVE_KDE)

install(TARGETS hotot-qt DESTINATION bin)

=== debian/changelog ===
hotot (1:0.9.7+git20111028.00039ca-1) unstable; urgency=low

  * New upstream snapshot
  * Add epoch to the package version number due to upstream switch to git
  * Update source code location accordingly
  * Also build-depends on python-setuptools 
  * Remove X-Python-Version field as I am unsure which is the minimum
    supported python version 
  * Fix DEP-5 copyright syntax 
  * Fix permissions for some images

 -- Julien Valroff <julien@debian.org>  Sat, 29 Oct 2011 08:14:34 +0200

hotot (0.9.7+hg995-1) unstable; urgency=low

  * New upstream development release
  * Update source code location

 -- Julien Valroff <julien@debian.org>  Fri, 02 Sep 2011 18:24:53 +0200

hotot (0.9.6~hg959-1) unstable; urgency=low

  * New upstream snapshot (Closes: #632335)
  * Drop patches merged upstream:
    - 001_jquery-1.6.diff: add support for jquery 1.6
    - 002_source.diff: allow Hotot name to be displayed on tweets/dents
  * Fix typo in short description (Closes: #635231) 
  * Don't ship unused .mo files 

 -- Julien Valroff <julien@debian.org>  Sat, 13 Aug 2011 08:16:40 +0200

hotot (0.9.6~hg814-3) unstable; urgency=low

  * Upload to unstable
  * Fix section from "admin" to "net" (Closes: #630674) 
  * Add patch to allow Hotot name to be displayed on tweets/dents 
  * Add missing runtime dependencies
  * Fix path to .js libraries in debian/copyright 

 -- Julien Valroff <julien@debian.org>  Sun, 10 Jul 2011 20:50:29 +0200

hotot (0.9.6~hg814-2) experimental; urgency=low

  * Add patch from upstream hg repository adding support for
    jquery 1.6 

 -- Julien Valroff <julien@debian.org>  Sun, 03 Jul 2011 07:56:55 +0200

hotot (0.9.6~hg814-1) experimental; urgency=low

  * Initial release. (Closes: #598045)

 -- Julien Valroff <julien@debian.org>  Sun, 05 Jun 2011 17:40:32 +0200

=== debian/control ===
Source: hotot
Section: net
Priority: optional
Maintainer: Julien Valroff <julien@debian.org> 
Uploaders: Julián Moreno Patiño <darkjunix@gmail.com>
Build-Depends: debhelper (>= 8), python (>= 2.6.6-3~), python-distutils-extra, python-setuptools
Standards-Version: 3.9.2
Homepage: http://www.hotot.org
Vcs-Git: git://git.debian.org/collab-maint/hotot.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/hotot.git;a=summary

Package: hotot
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, python-gtk2, python-gobject, python-webkit, python-keybinder, python-notify, libjs-jquery
Description: lightweight microblogging client
 Hotot is a lightweight Twitter and identi.ca client based on GTK+ and WebKit.
 .
 Features include:
   * Update/View Timelines
   * Follow/Unfollow people
   * Post status
   * Reply tweets
   * Post direct messages
   * View people profile
   * Native notification
   * Global key-shortcut

=== debian/rules ===
#!/usr/bin/make -f

DTMP=debian/hotot

%:
	dh $@ --with python2

override_dh_auto_install:
	dh_auto_install -- --install-lib=/usr/share/hotot
	# rename the binary instead of using --install-scripts (due to name conflict)
	mv ${DTMP}/usr/bin/hotot ${DTMP}/usr/share/hotot/run
	# make use of packaged libjs-jquery
	-rm -f ${DTMP}/usr/share/hotot/js/jquery.js
	# don't ship unused .mo files
	-rm -rf ${DTMP}/usr/share/locale

override_dh_fixperms:
	chmod 644 ${DTMP}/usr/share/hotot/ext/ext.js
	chmod 644 ${DTMP}/usr/share/hotot/js/conf.js
	chmod 644 ${DTMP}/usr/share/hotot/ext/org.hotot.imageupload/entry.js
	chmod 644 ${DTMP}/usr/share/hotot/image/ic_*.png
	dh_fixperms

override_dh_auto_clean:
	-rm -rf build/
	-rm -f po/hotot.pot
	dh_auto_clean

## hotot 0.9.7.32+git20111213.1d89daf

=== qt/CMakeLists.txt ===
add_subdirectory(src)
add_subdirectory(data)
add_subdirectory(po)

=== qt/data/CMakeLists.txt ===
--- 
+++ 
@@ -6,8 +6,12 @@
         DESTINATION share/icons/hicolor/scalable/status/ RENAME hotot_qt-active.svg)
 install(FILES hotot-qt.desktop DESTINATION share/applications/ )
 
-install(DIRECTORY ${PROJECT_SOURCE_DIR}/data/icons/
-        DESTINATION share/icons/hicolor/)
+set(ICON_SIZE 22x22 24x24 32x32 48x48 64x64 128x128)
+
+foreach(size ${ICON_SIZE})
+    install(FILES ${PROJECT_SOURCE_DIR}/data/icons/${size}/apps/hotot.png
+            DESTINATION share/icons/hicolor/${size}/apps/ RENAME hotot_qt.png)
+endforeach(size ${ICON_SIZE})
 
 if (HAVE_KDE)
 install(FILES hotot_qt.svg DESTINATION ${KDE4_DATA_INSTALL_DIR}/desktoptheme/default/icons)

=== qt/po/CMakeLists.txt ===
set(POT_FILE
    hotot-qt.pot
)

file(GLOB PO_FILES
    *.po
)

# Update .po files and compile them to binary .gmo files
gettext_create_translations(${POT_FILE} ALL ${PO_FILES})

=== qt/src/CMakeLists.txt ===
--- 
+++ 
@@ -14,8 +14,18 @@
     main.cpp
     mainwindow.cpp
     hototwebpage.cpp
-    trayiconbackend.cpp
+   
     qttraybackend.cpp
+    hototwebview.cpp
+)
+
+set(Hotot_QT_MOC_SRCS
+    mainwindow.h
+    formpost.h
+    hototrequest.h
+    hototwebpage.h
+    qttraybackend.h
+    hototwebview.h
 )
 
 if (HAVE_KDE)
@@ -23,11 +33,14 @@
         ${Hotot_QT_SRCS}
         kdetraybackend.cpp
     )
+    set(Hotot_QT_MOC_SRCS
+        ${Hotot_QT_MOC_SRCS}
+        kdetraybackend.h
+    )
 endif (HAVE_KDE)
 
-qt4_automoc(${Hotot_QT_SRCS})
-qt4_wrap_ui(Hotot_QT_SRCS mainwindow.ui)
-add_executable(hotot-qt ${Hotot_QT_SRCS})
+qt4_wrap_cpp(Hotot_QT_MOCS ${Hotot_QT_MOC_SRCS})
+add_executable(hotot-qt ${Hotot_QT_SRCS} ${Hotot_QT_MOCS})
 target_link_libraries(hotot-qt
     ${QT_QTCORE_LIBRARY}
     ${QT_QTGUI_LIBRARY}

=== debian/changelog ===
hotot (1:0.9.7.32+git20111213.1d89daf-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Added missing python-dbus dependency (Closes: #653691).

 -- billy3321 <billy3321@gmail.com>  Sun, 29 Apr 2012 14:25:00 +0800

hotot (1:0.9.7.32+git20111213.1d89daf-1) unstable; urgency=low

  * New upstream snapshot

 -- Julien Valroff <julien@debian.org>  Sun, 11 Dec 2011 18:55:15 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
 
 Package: hotot
 Architecture: all
-Depends: ${python:Depends}, ${misc:Depends}, python-gtk2, python-gobject, python-webkit, python-keybinder, python-notify, libjs-jquery
+Depends: ${python:Depends}, ${misc:Depends}, python-gtk2, python-gobject, python-webkit, python-keybinder, python-notify, libjs-jquery, python-dbus
 Description: lightweight microblogging client
  Hotot is a lightweight Twitter and identi.ca client based on GTK+ and WebKit.
  .

=== debian/rules ===
--- 
+++ 
@@ -18,6 +18,7 @@
 	chmod 644 ${DTMP}/usr/share/hotot/ext/ext.js
 	chmod 644 ${DTMP}/usr/share/hotot/js/conf.js
 	chmod 644 ${DTMP}/usr/share/hotot/ext/org.hotot.imageupload/entry.js
+	chmod 644 ${DTMP}/usr/share/hotot/ext/org.hotot.stat/entry.js
 	chmod 644 ${DTMP}/usr/share/hotot/image/ic_*.png
 	dh_fixperms

## hotot 0.9.8.5+git20120630.884797d

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)
cmake_policy(SET CMP0002 OLD)
project(hotot NONE)
set(CMAKE_MODULE_PATH ${PROJECT_SOURCE_DIR}/cmake/modules ${CMAKE_MODULE_PATH})

find_package(Gettext REQUIRED)

option(WITH_GTK "Enable GTK Version" On)
option(WITH_GIR "Use GIR as GTK Version" Off)

option(WITH_QT "Enable Qt Version" On)
option(WITH_KDE "Enable KDE4 integration for Qt" On)

option(WITH_CHROME "Enable Chrome Version" Off)

# uninstall target
configure_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/cmake/cmake_uninstall.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
    IMMEDIATE @ONLY)

add_custom_target(uninstall
    COMMAND ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake)

##################### GTK Version ######################
if (WITH_GTK)
    FIND_PACKAGE(PythonLibrary REQUIRED)

    if (NOT PYTHONLIBRARY_FOUND)
        message(FATAL_ERROR "GTK Wrapper for Hotot need python")
    endif (NOT PYTHONLIBRARY_FOUND)

    INCLUDE(PythonMacros)
    if (WITH_GIR)
        add_subdirectory(hotot-gir)
    else (WITH_GIR)
        add_subdirectory(hotot)
    endif (WITH_GIR)
    configure_file(${CMAKE_CURRENT_SOURCE_DIR}/scripts/hotot.in ${CMAKE_CURRENT_BINARY_DIR}/scripts/hotot @ONLY)
    install(PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/scripts/hotot DESTINATION bin )
endif (WITH_GTK)


##################### CHROME Version ######################
if (WITH_CHROME)
    add_subdirectory(chrome)
endif (WITH_CHROME)

##################### Qt Version ######################
if (WITH_QT)
    add_subdirectory(qt)
endif (WITH_QT)

add_subdirectory(po)
add_subdirectory(misc)

=== hotot-gir/CMakeLists.txt ===
set(hotot_gir_SRCS
    __init__.py
    agent.py
    config.py
    dbusservice.py
    notification.py
    hotot.py
    i18n.py
    inspector.py
    utils.py
    view.py
    xhotkey.py
)

python_install_module(hotot ${hotot_gir_SRCS})

=== hotot/CMakeLists.txt ===
set(hotot_SRCS
    __init__.py
    agent.py
    config.py
    gtknotification.py
    hotot.py
    i18n.py
    utils.py
    view.py
)

python_install_module(hotot ${hotot_SRCS})

=== misc/CMakeLists.txt ===

install(DIRECTORY ${PROJECT_SOURCE_DIR}/data/ DESTINATION share/hotot PATTERN .hg PATTERN *~ EXCLUDE)

install(FILES ${PROJECT_SOURCE_DIR}/data/image/ic24_hotot_mono_light.svg
        DESTINATION share/icons/hicolor/scalable/status/ RENAME hotot_qt-inactive.svg)
install(FILES ${PROJECT_SOURCE_DIR}/data/image/ic24_hotot_mono_dark.svg
        DESTINATION share/icons/hicolor/scalable/status/ RENAME hotot_qt-active.svg)

set(ICON_SIZE 22x22 24x24 32x32 48x48 64x64 128x128)

foreach(size ${ICON_SIZE})
    install(FILES ${PROJECT_SOURCE_DIR}/data/icons/${size}/apps/hotot.png
            DESTINATION share/icons/hicolor/${size}/apps/)
endforeach(size ${ICON_SIZE})

if (HAVE_KDE)
install(FILES hotot_qt.svg DESTINATION ${KDE4_DATA_INSTALL_DIR}/desktoptheme/default/icons)
endif (HAVE_KDE)

find_program(INTLTOOL_MERGE intltool-merge)

if (NOT INTLTOOL_MERGE)
    message(FATAL_ERROR "intltool-merge required for i18n generation")
endif (NOT INTLTOOL_MERGE)

MACRO(INTLTOOL_MERGE_TRANSLATION infile outfile)
    ADD_CUSTOM_COMMAND(
        OUTPUT ${outfile}
        COMMAND LC_ALL=C ${INTLTOOL_MERGE} -d -u ${PROJECT_SOURCE_DIR}/po ${infile} ${outfile}
        DEPENDS ${infile}
    )
ENDMACRO(INTLTOOL_MERGE_TRANSLATION)

INTLTOOL_MERGE_TRANSLATION(${CMAKE_CURRENT_SOURCE_DIR}/hotot.desktop.in ${CMAKE_CURRENT_BINARY_DIR}/hotot.desktop)
INTLTOOL_MERGE_TRANSLATION(${CMAKE_CURRENT_SOURCE_DIR}/hotot-qt.desktop.in ${CMAKE_CURRENT_BINARY_DIR}/hotot-qt.desktop)

add_custom_target(desktopfile ALL DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/hotot.desktop ${CMAKE_CURRENT_BINARY_DIR}/hotot-qt.desktop)

if (WITH_GTK)
    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/hotot.desktop 
            DESTINATION share/applications/)
endif (WITH_GTK)

if (WITH_QT)
    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/hotot-qt.desktop
            DESTINATION share/applications/)
endif (WITH_QT)

=== po/CMakeLists.txt ===
file(GLOB PO_FILES RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.po)
file(RELATIVE_PATH REL_SOURCE_ROOT ${PROJECT_BINARY_DIR} ${PROJECT_SOURCE_DIR})
if ("${REL_SOURCE_ROOT}" STREQUAL "")
    set(REL_SOURCE_ROOT ".")
endif("${REL_SOURCE_ROOT}" STREQUAL "")

set(POT_FILE hotot.pot)

configure_file(POTFILES.in.in ${CMAKE_CURRENT_BINARY_DIR}/POTFILES.in)
                   
find_program(INTLTOOL_EXTRACT intltool-extract)
find_program(INTLTOOL_UPDATE intltool-update)

set(XGETTEXT_ARGS "--from-code=UTF-8 -C -kde -ci18n -k_ -ki18n:1 -ki18nc:1c,2 -ki18np:1,2 -ki18ncp:1c,2,3 -ktr2i18n:1 -kI18N_NOOP:1 -kI18N_NOOP2:1c,2 -kaliasLocale -kki18n:1 -kki18nc:1c,2 -kki18np:1,2 -kki18ncp:1c,2,3")

add_custom_target(
    pot
    COMMAND sh -c "XGETTEXT_ARGS=\"${XGETTEXT_ARGS}\" INTLTOOL_EXTRACT=${INTLTOOL_EXTRACT} srcdir=${CMAKE_CURRENT_BINARY_DIR} ${INTLTOOL_UPDATE} --gettext-package hotot --pot"
    WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
    )

# Update .po files and compile them to binary .gmo files
gettext_create_translations(${POT_FILE} ALL ${PO_FILES})

=== qt/CMakeLists.txt ===
project(hotot_qt C CXX)

# Setup KDE4 support
if(WITH_KDE)
    find_package(KDE4)
    if(KDE4_FOUND)
        message(STATUS "Enabling KDE4 integration")
        include_directories(${KDE4_INCLUDES})
        add_definitions(${KDE4_DEFINITIONS})
        set(HAVE_KDE 1)
    else(KDE4_FOUND)
        message(STATUS "KDE4 not found, disabling KDE integration")
    endif(KDE4_FOUND)
    else(WITH_KDE)
        message(STATUS "Not enabling KDE4 integration")
endif(WITH_KDE)

if(NOT HAVE_KDE)
    find_package(Qt4 4.7 REQUIRED COMPONENTS QtCore QtGui QtWebkit QtSql)
endif(NOT HAVE_KDE)

set(CMAKE_CXX_FLAGS "-Wall -Wextra -Wno-sign-compare -Wno-unused-parameter -fvisibility=hidden ${CMAKE_CXX_FLAGS}")
set(CMAKE_SHARED_LINKER_FLAGS "-Wl,--as-needed ${CMAKE_SHARED_LINKER_FLAGS}")
set(CMAKE_MODULE_LINKER_FLAGS "-Wl,--as-needed ${CMAKE_MODULE_LINKER_FLAGS}")

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config.h.in ${CMAKE_CURRENT_BINARY_DIR}/config.h)

include_directories(${QT_INCLUDE_DIR})
include_directories(${QT_QTCORE_INCLUDE_DIR})
include_directories(${QT_QTGUI_INCLUDE_DIR})
include_directories(${QT_QTWEBKIT_INCLUDE_DIR})
include_directories(${QT_QTNETWORK_INCLUDE_DIR})
include_directories(${CMAKE_CURRENT_BINARY_DIR})
include_directories(${CMAKE_CURRENT_SOURCE_DIR})

set(Hotot_QT_SRCS
    formpost.cpp
    hototrequest.cpp
    main.cpp
    mainwindow.cpp
    hototwebpage.cpp
    qttraybackend.cpp
)

set(Hotot_QT_MOC_SRCS
    mainwindow.h
    formpost.h
    hototrequest.h
    hototwebpage.h
    qttraybackend.h
)

if (HAVE_KDE)
    set(Hotot_QT_SRCS
        ${Hotot_QT_SRCS}
        kdetraybackend.cpp
    )
    set(Hotot_QT_MOC_SRCS
        ${Hotot_QT_MOC_SRCS}
        kdetraybackend.h
    )
endif (HAVE_KDE)

qt4_wrap_cpp(Hotot_QT_MOCS ${Hotot_QT_MOC_SRCS})
add_executable(hotot-qt ${Hotot_QT_SRCS} ${Hotot_QT_MOCS})

set_target_properties(hotot-qt PROPERTIES LINKER_LANGUAGE CXX)

target_link_libraries(hotot-qt
    ${QT_QTCORE_LIBRARY}
    ${QT_QTGUI_LIBRARY}
    ${QT_QTWEBKIT_LIBRARY}
    ${QT_QTNETWORK_LIBRARY}
)

if(HAVE_KDE)
    target_link_libraries(hotot-qt ${KDE4_KDEUI_LIBRARY} ${KDE4_KIO_LIBS})
endif(HAVE_KDE)

install(TARGETS hotot-qt DESTINATION bin)

=== debian/changelog ===
hotot (1:0.9.8.5+git20120630.884797d-1) unstable; urgency=low

  * New upstream snapshot (Closes: #680394, #667541)
  * Update copyright file as per DEP-5 1.0 standard
  * Also ships the QT version:
    + build-depends on cmake, libqt4-dev and libqtwebkit-dev
    + split the package into -common, -gtk and -qt binary packages
    + make hotot a metpackage pulling the GTK+ wrapper by default
    + add hotot-qt manpage
  * Remove unused lintian override
  * Bump standards version to 3.9.3 (no changes needed) 
  * Remove Julián Moreno Patiño from the uploaders 
  * Use hardening options

 -- Julien Valroff <julien@debian.org>  Sat, 07 Jul 2012 14:48:32 +0200

=== debian/control ===
Source: hotot
Section: net
Priority: optional
Maintainer: Julien Valroff <julien@debian.org> 
Build-Depends: debhelper (>= 8), python (>= 2.6.6-3~), python-distutils-extra, python-setuptools, cmake, libqt4-dev (>= 4:4.7), libqtwebkit-dev, dpkg-dev (>= 1.16.1~)
Standards-Version: 3.9.3
Homepage: http://www.hotot.org
Vcs-Git: git://git.debian.org/collab-maint/hotot.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/hotot.git;a=summary

Package: hotot
Architecture: all
Depends: ${misc:Depends}, hotot-gtk | hotot-qt
Description: lightweight microblogging client - metapackage
 Hotot is a lightweight Twitter and identi.ca client based on WebKit.
 .
 Features include:
   * Update/View Timelines
   * Follow/Unfollow people
   * Post status
   * Reply tweets
   * Post direct messages
   * View people profile
   * Native notification
   * Global key-shortcut
 .
 This is the metapackage.

Package: hotot-common
Architecture: all
Depends: ${misc:Depends}
Replaces: hotot (<< 1:0.9.7.53+git20120406.8b09a8f-1)
Breaks: hotot (<< 1:0.9.7.53+git20120406.8b09a8f-1)
Description: lightweight microblogging client - common files
 Hotot is a lightweight Twitter and identi.ca client based on WebKit.
 .
 Features include:
   * Update/View Timelines
   * Follow/Unfollow people
   * Post status
   * Reply tweets
   * Post direct messages
   * View people profile
   * Native notification
   * Global key-shortcut
 .
 This package contains the common files needed to run hotot.

Package: hotot-gtk
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, hotot-common (= ${source:Version}), python-gtk2, python-gobject, python-webkit, python-keybinder, python-notify, python-dbus, libjs-jquery
Description: lightweight microblogging client - GTK+ wrapper
 Hotot is a lightweight Twitter and identi.ca client based on WebKit.
 .
 Features include:
   * Update/View Timelines
   * Follow/Unfollow people
   * Post status
   * Reply tweets
   * Post direct messages
   * View people profile
   * Native notification
   * Global key-shortcut
 .
 This package contains the GTK+ wrapper.

Package: hotot-qt
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, hotot-common (= ${source:Version})
Description: lightweight microblogging client - QT wrapper
 Hotot is a lightweight Twitter and identi.ca client based on WebKit.
 .
 Features include:
   * Update/View Timelines
   * Follow/Unfollow people
   * Post status
   * Reply tweets
   * Post direct messages
   * View people profile
   * Native notification
   * Global key-shortcut
 .
 This package contains the QT wrapper.

=== debian/rules ===
#!/usr/bin/make -f

DTMP=debian/tmp
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@ --with python2

override_dh_auto_install:
	dh_auto_install
	# rename the binary instead of using --install-scripts (due to name conflict)
	mv ${DTMP}/usr/bin/hotot debian/run 
	# make use of packaged libjs-jquery
	-rm -f ${DTMP}/usr/share/hotot/js/jquery.js
	# don't ship unused .mo files
	-rm -rf ${DTMP}/usr/share/locale

override_dh_fixperms:
	chmod 644 ${DTMP}/usr/share/hotot/ext/ext.js
	chmod 644 ${DTMP}/usr/share/hotot/js/conf.js
	chmod 644 ${DTMP}/usr/share/hotot/ext/org.hotot.stat/entry.js
	chmod 644 ${DTMP}/usr/share/hotot/image/ic_*.png
	dh_fixperms

override_dh_auto_clean:
	-rm -rf build/
	dh_auto_clean

## hotot 0.9.8.13+git20130311

=== qt/CMakeLists.txt ===
project(hotot_qt C CXX)

if(WITH_KDE_QT)
  set(WITH_KDE On)
endif()

# Setup KDE4 support
if(WITH_KDE)
  find_package(KDE4)
  if(KDE4_FOUND)
    message(STATUS "Enabling KDE4 integration")
    set(HOTOT_KDE4_INCLUDE_DIRS ${KDE4_INCLUDES})
    set(HAVE_KDE 1)
  else()
    message(STATUS "KDE4 not found, disabling KDE integration")
    set(WITH_KDE_QT Off)
  endif()
elseif(WITH_QT)
  message(STATUS "Not enabling KDE4 integration")
endif()

if(WITH_QT AND NOT HAVE_KDE)
  find_package(Qt4 4.7 REQUIRED COMPONENTS QtCore QtGui QtWebkit QtSql)
  set(BUILD_QT On)
elseif(HAVE_KDE)
  set(BUILD_KDE On)
  if(WITH_KDE_QT)
    set(BUILD_QT On)
    set(HOTOT_KDE_BIN_NAME hotot-kde)
  else()
    # specify HOTOT_KDE_BIN_NAME if you want to rename hotot-qt executable
    # with KDE support even if the version without KDE support is not enabled
    if(NOT HOTOT_KDE_BIN_NAME)
      set(HOTOT_KDE_BIN_NAME hotot-qt)
    endif()
  endif()
endif()

set(CMAKE_CXX_FLAGS "-Wall -Wextra -Wno-sign-compare -Wno-unused-parameter -fvisibility=hidden ${CMAKE_CXX_FLAGS}")
set(CMAKE_SHARED_LINKER_FLAGS "-Wl,--as-needed ${CMAKE_SHARED_LINKER_FLAGS}")
set(CMAKE_MODULE_LINKER_FLAGS "-Wl,--as-needed ${CMAKE_MODULE_LINKER_FLAGS}")

configure_file(config.h.in config.h)

set(HOTOT_QT4_INCLUDE_DIRS
  ${QT_INCLUDE_DIR}
  ${QT_QTCORE_INCLUDE_DIR}
  ${QT_QTGUI_INCLUDE_DIR}
  ${QT_QTWEBKIT_INCLUDE_DIR}
  ${QT_QTNETWORK_INCLUDE_DIR})

function(hotot_set_qt4_target tgt)
  get_target_property(HOTOT_INCLUDES "${tgt}" INCLUDE_DIRECTORIES)
  if(HOTOT_INCLUDES)
    set(HOTOT_QT4_INCLUDE_DIRS ${HOTOT_QT4_INCLUDE_DIRS}
      ${HOTOT_INCLUDES})
  endif()
  set_target_properties("${tgt}"
    PROPERTIES LINKER_LANGUAGE CXX
    INCLUDE_DIRECTORIES "${HOTOT_QT4_INCLUDE_DIRS}")
  target_link_libraries("${tgt}" ${HOTOT_QT_LINKS})
endfunction()

function(hotot_set_kde4_target tgt)
  hotot_set_qt4_target("${tgt}")
  get_target_property(HOTOT_INCLUDES "${tgt}" INCLUDE_DIRECTORIES)
  if(HOTOT_INCLUDES)
    set(HOTOT_KDE4_INCLUDE_DIRS ${HOTOT_KDE4_INCLUDE_DIRS}
      ${HOTOT_INCLUDES})
  endif()
  hotot_convert_flags(HOTOT_KDE4_DEFS HOTOT_KDE4_FLAGS ${KDE4_DEFINITIONS})
  set_target_properties("${tgt}"
    PROPERTIES COMPILE_DEFINITIONS "HAVE_KDE=1;${HOTOT_KDE4_DEFS}"
    COMPILE_FLAGS "${HOTOT_KDE4_FLAGS}"
    INCLUDE_DIRECTORIES "${HOTOT_KDE4_INCLUDE_DIRS}")
  target_link_libraries("${tgt}"
    ${KDE4_KDEUI_LIBRARY} ${KDE4_KIO_LIBS})
endfunction()

include_directories(${CMAKE_CURRENT_BINARY_DIR})
include_directories(${CMAKE_CURRENT_SOURCE_DIR})

set(Hotot_QT_SRCS
  formpost.cpp
  hototrequest.cpp
  main.cpp
  mainwindow.cpp
  hototwebpage.cpp
  qttraybackend.cpp
  )
set(Hotot_QT_MOC_SRCS
  mainwindow.h
  formpost.h
  hototrequest.h
  hototwebpage.h
  qttraybackend.h
  )

set(Hotot_KDE_SRCS
  kdetraybackend.cpp
  )
set(Hotot_KDE_MOC_SRCS
  kdetraybackend.h
  )

if(BUILD_QT OR BUILD_KDE)
  qt4_wrap_cpp(Hotot_QT_MOCS ${Hotot_QT_MOC_SRCS})
endif()

set(HOTOT_QT_LINKS
  ${QT_QTCORE_LIBRARY}
  ${QT_QTGUI_LIBRARY}
  ${QT_QTWEBKIT_LIBRARY}
  ${QT_QTNETWORK_LIBRARY}
  )

if(BUILD_QT)
  add_executable(hotot-qt ${Hotot_QT_SRCS} ${Hotot_QT_MOCS})
  hotot_set_qt4_target(hotot-qt)
  install(TARGETS hotot-qt DESTINATION bin)
  set(HOTOT_QT_BIN hotot-qt)
  configure_file("${PROJECT_SOURCE_DIR}/../misc/hotot-qt.desktop.in.in"
    hotot-qt.desktop.in @ONLY)
  intltool_merge_translation(
    "${CMAKE_CURRENT_BINARY_DIR}/hotot-qt.desktop.in"
    "${CMAKE_CURRENT_BINARY_DIR}/hotot-qt.desktop")
  add_custom_target(desktopfile-qt ALL
    DEPENDS "${CMAKE_CURRENT_BINARY_DIR}/hotot-qt.desktop")
  install(FILES "${CMAKE_CURRENT_BINARY_DIR}/hotot-qt.desktop"
    DESTINATION share/applications/)
endif()

if(BUILD_KDE)
  qt4_wrap_cpp(Hotot_KDE_MOCS ${Hotot_KDE_MOC_SRCS})
  add_executable("${HOTOT_KDE_BIN_NAME}"
    ${Hotot_QT_SRCS} ${Hotot_QT_MOCS}
    ${Hotot_KDE_SRCS} ${Hotot_KDE_MOCS})
  hotot_set_kde4_target("${HOTOT_KDE_BIN_NAME}")
  install(TARGETS "${HOTOT_KDE_BIN_NAME}" DESTINATION bin)
  install(FILES ../misc/hotot_qt.svg
    DESTINATION ${KDE4_DATA_INSTALL_DIR}/desktoptheme/default/icons)
  set(HOTOT_QT_BIN "${HOTOT_KDE_BIN_NAME}")
  configure_file("${PROJECT_SOURCE_DIR}/../misc/hotot-kde.desktop.in.in"
    "${HOTOT_KDE_BIN_NAME}.desktop.in" @ONLY)
  intltool_merge_translation(
    "${CMAKE_CURRENT_BINARY_DIR}/${HOTOT_KDE_BIN_NAME}.desktop.in"
    "${CMAKE_CURRENT_BINARY_DIR}/${HOTOT_KDE_BIN_NAME}.desktop")
  add_custom_target(desktopfile-kde ALL
    DEPENDS "${CMAKE_CURRENT_BINARY_DIR}/${HOTOT_KDE_BIN_NAME}.desktop")
  install(FILES "${CMAKE_CURRENT_BINARY_DIR}/${HOTOT_KDE_BIN_NAME}.desktop"
    DESTINATION share/applications/)
endif()

=== debian/changelog ===
hotot (1:0.9.8.13+git20130311-4) unstable; urgency=low

  * Upload to unstable (before twitter API1.0 deprecated)

 -- Hideki Yamane <henrich@debian.org>  Wed, 17 Apr 2013 09:37:56 +0900

hotot (1:0.9.8.13+git20130311-3) experimental; urgency=low

  * debian/control
    - add "Replace:,Conflicts: hotot-gtk (<< 1:0.9.8.13+git20130311-3)" to
      ensure upgrade (Closes: #705373)

 -- Hideki Yamane <henrich@debian.org>  Mon, 15 Apr 2013 09:30:39 +0900

hotot (1:0.9.8.13+git20130311-2) experimental; urgency=low

  * debian/control
    - add libjs-jquery package previously mentioned in debian/rules
  * debian/hotot-{gtk,common}.install
    - move symlink from -gtk to -common (Closes: #703353)

 -- Hideki Yamane <henrich@debian.org>  Fri, 05 Apr 2013 08:05:23 +0900

hotot (1:0.9.8.13+git20130311-1) experimental; urgency=low

  * New upstream snapshot (Closes: #685408)
  * New maintainer. (Closes: #700654)
  * debian/control
    - set Standards-Version: 3.9.4
    - "Recommends: xdg-utils" to solve xdg-open issue (Closes: #698131)
    - "Depends: python-gobject-dev, libwebkitgtk-3.0-dev" to enable gtk3 build

  [ Julien Valroff ]
  * Add missing CPPFLAGS hardening flags - thanks to Simon Ruderich
    <simon@ruderich.org> (Closes: #688694)

 -- Hideki Yamane <henrich@debian.org>  Thu, 04 Apr 2013 06:58:45 +0900

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: hotot
 Section: net
 Priority: optional
-Maintainer: Julien Valroff <julien@debian.org> 
-Build-Depends: debhelper (>= 8), python (>= 2.6.6-3~), python-distutils-extra, python-setuptools, cmake, libqt4-dev (>= 4:4.7), libqtwebkit-dev, dpkg-dev (>= 1.16.1~)
-Standards-Version: 3.9.3
+Maintainer: Hideki Yamane <henrich@debian.org>
+Build-Depends: debhelper (>= 8), python (>= 2.6.6-3~), python-distutils-extra, python-setuptools, cmake, libqt4-dev (>= 4:4.7), libqtwebkit-dev, dpkg-dev (>= 1.16.1~), python-gobject-dev, libwebkitgtk-3.0-dev
+Standards-Version: 3.9.4
 Homepage: http://www.hotot.org
 Vcs-Git: git://git.debian.org/collab-maint/hotot.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/hotot.git;a=summary
@@ -11,6 +11,7 @@
 Package: hotot
 Architecture: all
 Depends: ${misc:Depends}, hotot-gtk | hotot-qt
+Recommends: xdg-utils
 Description: lightweight microblogging client - metapackage
  Hotot is a lightweight Twitter and identi.ca client based on WebKit.
  .
@@ -28,9 +29,9 @@
 
 Package: hotot-common
 Architecture: all
-Depends: ${misc:Depends}
-Replaces: hotot (<< 1:0.9.7.53+git20120406.8b09a8f-1)
-Breaks: hotot (<< 1:0.9.7.53+git20120406.8b09a8f-1)
+Depends: ${misc:Depends}, libjs-jquery
+Replaces: hotot (<< 1:0.9.7.53+git20120406.8b09a8f-1), hotot-gtk (<< 1:0.9.8.13+git20130311-3)
+Breaks: hotot (<< 1:0.9.7.53+git20120406.8b09a8f-1), hotot-gtk (<< 1:0.9.8.13+git20130311-3)
 Description: lightweight microblogging client - common files
  Hotot is a lightweight Twitter and identi.ca client based on WebKit.
  .

## hotot 0.9.8.14

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)
cmake_policy(SET CMP0002 OLD)
project(hotot NONE)
set(CMAKE_MODULE_PATH ${PROJECT_SOURCE_DIR}/cmake/modules ${CMAKE_MODULE_PATH})

find_package(Gettext REQUIRED)

option(WITH_GTK "Enable GTK Version" On)
option(WITH_GIR "Use GIR as GTK Version" Off)

option(WITH_GTK2 "Enable GTK2 Version" Off)
option(WITH_GTK3 "Enable GTK3 Version" Off)

option(WITH_QT "Enable Qt Version" On)
option(WITH_KDE "Enable KDE4 integration for Qt" On)

option(WITH_KDE_QT "Build Qt and KDE versions at the same time" Off)
option(WITH_QT5 "Enable Qt5 Version" Off)

option(WITH_CHROME "Enable Chrome Version" Off)

find_program(INTLTOOL_MERGE intltool-merge)

if(NOT INTLTOOL_MERGE)
  message(FATAL_ERROR "intltool-merge required for i18n generation")
endif()

set(INTLTOOL_PO_DIR "${PROJECT_SOURCE_DIR}/po")

function(intltool_merge_translation infile outfile)
  add_custom_command(
    OUTPUT ${outfile}
    COMMAND LC_ALL=C ${INTLTOOL_MERGE} -d -u "${INTLTOOL_PO_DIR}"
    ${infile} ${outfile}
    DEPENDS ${infile})
endfunction()

# uninstall target
configure_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/cmake/cmake_uninstall.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
  IMMEDIATE @ONLY)

add_custom_target(uninstall
  COMMAND ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake)

function(hotot_convert_flags __flags_var __defs_var)
  get_directory_property(_old_flags COMPILE_FLAGS)
  get_directory_property(_old_defs COMPILE_DEFINITIONS)
  set_directory_properties(PROPERTIES
    COMPILE_FLAGS ""
    COMPILE_DEFINITIONS "")
  add_definitions(${ARGN})
  get_directory_property(_new_flags COMPILE_FLAGS)
  get_directory_property(_new_defs COMPILE_DEFINITIONS)
  set_directory_properties(PROPERTIES
    COMPILE_FLAGS "${_old_flags}"
    COMPILE_DEFINITIONS "${_old_defs}")
endfunction()
if(NOT DEFINED LOCALEDIR)
  set(LOCALEDIR ${CMAKE_INSTALL_PREFIX}/share/locale)
endif()

##################### GTK Version ######################
if(WITH_GTK OR WITH_GTK2 OR WITH_GTK3)
  find_package(PythonLibrary REQUIRED)
  if(NOT PYTHONLIBRARY_FOUND)
    message(FATAL_ERROR "GTK Wrapper for Hotot need python")
  endif()
  include(PythonMacros)
  # for backword compatibility, if none of GTK2 or GTK3 is manually set
  # we will still use the old binary name instead of hotot-gtk{2,3}
  if(WITH_GTK2 OR WITH_GTK3)
    set(HOTOT_GTK_OLD_NAME Off)
  else()
    set(HOTOT_GTK_OLD_NAME On)
  endif()

  function(hotot_gtk_build suffix HOTOT_GTK_NAME dir)
    if(HOTOT_GTK_OLD_NAME)
      set(HOTOT_BIN_NAME "hotot")
      set(HOTOT_PY_NAME "hotot")
    else()
      set(HOTOT_BIN_NAME "hotot-${suffix}")
      set(HOTOT_PY_NAME "hotot_${suffix}")
    endif()
    set(hotot_bin "${CMAKE_CURRENT_BINARY_DIR}/scripts/${HOTOT_BIN_NAME}")
    configure_file("${CMAKE_CURRENT_SOURCE_DIR}/scripts/hotot.in"
      "${hotot_bin}" @ONLY)
    install(PROGRAMS "${hotot_bin}" DESTINATION bin)
    add_subdirectory("${dir}")
    configure_file("misc/hotot-${suffix}.desktop.in.in"
      "misc/${HOTOT_BIN_NAME}.desktop.in")
    intltool_merge_translation(
      "${CMAKE_CURRENT_BINARY_DIR}/misc/${HOTOT_BIN_NAME}.desktop.in"
      "${CMAKE_CURRENT_BINARY_DIR}/misc/${HOTOT_BIN_NAME}.desktop")
    add_custom_target("desktopfile-${HOTOT_BIN_NAME}" ALL
      DEPENDS "${CMAKE_CURRENT_BINARY_DIR}/misc/${HOTOT_BIN_NAME}.desktop")
    install(FILES "${CMAKE_CURRENT_BINARY_DIR}/misc/${HOTOT_BIN_NAME}.desktop"
      DESTINATION share/applications/)
  endfunction()

  if(WITH_GIR)
    set(WITH_GTK3 On)
  else()
    set(WITH_GTK2 On)
  endif()
  if(WITH_GTK2)
    hotot_gtk_build(gtk2 Gtk2 hotot)
  endif()
  if(WITH_GTK3)
    hotot_gtk_build(gtk3 Gtk3 hotot-gir)
  endif()
endif()

##################### CHROME Version ######################
if(WITH_CHROME)
  add_subdirectory(chrome)
endif()

##################### Qt Version ######################

if(WITH_QT5)
  add_subdirectory(qt5)
endif()

if(WITH_QT OR WITH_KDE_QT)
  add_subdirectory(qt)
endif()

add_subdirectory(po)
add_subdirectory(misc)

=== chrome/CMakeLists.txt ===
add_custom_target(chrome ALL)

find_program(RSYNC rsync)
if (NOT RSYNC)
    message(FATAL_ERROR "hotot-chrome generation requires rsync")
endif(NOT RSYNC)

add_custom_command(
    TARGET chrome
    COMMAND "${CMAKE_CURRENT_SOURCE_DIR}/mk-chrome-app.sh" "${PROJECT_SOURCE_DIR}" "${CMAKE_CURRENT_BINARY_DIR}" "${RSYNC}"
)

=== hotot-gir/CMakeLists.txt ===
set(hotot_gir_SRCS
  __init__.py
  agent.py
  config.py
  dbusservice.py
  notification.py
  hotot.py
  i18n.py
  inspector.py
  utils.py
  view.py
  xhotkey.py
  )

python_install_module(${HOTOT_PY_NAME} ${hotot_gir_SRCS})

=== hotot/CMakeLists.txt ===
set(hotot_SRCS
  __init__.py
  agent.py
  config.py
  gtknotification.py
  hotot.py
  i18n.py
  utils.py
  view.py
  )

python_install_module(${HOTOT_PY_NAME} ${hotot_SRCS})

=== misc/CMakeLists.txt ===
install(DIRECTORY "${PROJECT_SOURCE_DIR}/data/"
  DESTINATION share/hotot
  PATTERN .hg PATTERN *~ EXCLUDE)

install(FILES "${PROJECT_SOURCE_DIR}/data/image/ic24_hotot_mono_light.svg"
  DESTINATION share/icons/hicolor/scalable/status/
  RENAME hotot_qt-inactive.svg)
install(FILES "${PROJECT_SOURCE_DIR}/data/image/ic24_hotot_mono_dark.svg"
  DESTINATION share/icons/hicolor/scalable/status/
  RENAME hotot_qt-active.svg)

set(ICON_SIZE 22x22 24x24 32x32 48x48 64x64 128x128)

foreach(size ${ICON_SIZE})
  install(FILES "${PROJECT_SOURCE_DIR}/data/icons/${size}/apps/hotot.png"
    DESTINATION "share/icons/hicolor/${size}/apps/")
endforeach()

=== po/CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,6 @@
 set(POT_FILE hotot.pot)
 
 configure_file(POTFILES.in.in ${CMAKE_CURRENT_BINARY_DIR}/POTFILES.in)
-                   
 find_program(INTLTOOL_EXTRACT intltool-extract)
 find_program(INTLTOOL_UPDATE intltool-update)

=== qt5/CMakeLists.txt ===
project(hotot_qt5 C CXX)

find_package(Qt5Core REQUIRED)
find_package(Qt5Gui REQUIRED)
find_package(Qt5Widgets REQUIRED)
find_package(Qt5WebKit REQUIRED)
find_package(Qt5WebKitWidgets REQUIRED)
find_package(Qt5Sql REQUIRED)

configure_file(../qt/config.h.in config.h)

include_directories("${CMAKE_CURRENT_BINARY_DIR}")
include_directories("${CMAKE_CURRENT_SOURCE_DIR}/../qt")

set(CMAKE_CXX_FLAGS "-Wall -Wextra -Wno-sign-compare -Wno-unused-parameter -fvisibility=hidden ${CMAKE_CXX_FLAGS}")
set(CMAKE_SHARED_LINKER_FLAGS "-Wl,--as-needed ${CMAKE_SHARED_LINKER_FLAGS}")
set(CMAKE_MODULE_LINKER_FLAGS "-Wl,--as-needed ${CMAKE_MODULE_LINKER_FLAGS}")

set(HOTOT_QT5_INCLUDE_DIRS
  ${Qt5Core_INCLUDE_DIRS}
  ${Qt5Gui_INCLUDE_DIRS}
  ${Qt5Widgets_INCLUDE_DIRS}
  ${Qt5WebKit_INCLUDE_DIRS}
  ${Qt5WebKitWidgets_INCLUDE_DIRS}
  ${Qt5NetWork_INCLUDE_DIRS}
  )
set(HOTOT_QT5_LINKS
  ${Qt5Core_LIBRARIES}
  ${Qt5Gui_LIBRARIES}
  ${Qt5Widgets_LIBRARIES}
  ${Qt5WebKit_LIBRARIES}
  ${Qt5WebKitWidgets_LIBRARIES}
  ${Qt5NetWork_LIBRARIES}
  )

add_definitions("-fPIC -DHAVE_QT5")

function(hotot_set_qt5_target tgt)
  get_target_property(HOTOT_INCLUDES "${tgt}" INCLUDE_DIRECTORIES)
  if(HOTOT_INCLUDES)
    set(HOTOT_QT5_INCLUDE_DIRS ${HOTOT_QT5_INCLUDE_DIRS}
      ${HOTOT_INCLUDES})
  endif()
  set_target_properties("${tgt}"
    PROPERTIES LINKER_LANGUAGE CXX
    INCLUDE_DIRECTORIES "${HOTOT_QT5_INCLUDE_DIRS}")
  target_link_libraries("${tgt}" ${HOTOT_QT5_LINKS})
endfunction()

set(Hotot_QT_SRCS
  ../qt/formpost.cpp
  ../qt/hototrequest.cpp
  ../qt/main.cpp
  ../qt/mainwindow.cpp
  ../qt/hototwebpage.cpp
  ../qt/qttraybackend.cpp
  )
set(Hotot_QT_MOC_SRCS
  ../qt/mainwindow.h
  ../qt/formpost.h
  ../qt/hototrequest.h
  ../qt/hototwebpage.h
  ../qt/qttraybackend.h
  )
qt5_wrap_cpp(Hotot_QT_MOCS ${Hotot_QT_MOC_SRCS})

add_executable(hotot-qt5 ${Hotot_QT_SRCS} ${Hotot_QT_MOCS})
hotot_set_qt5_target(hotot-qt5)
install(TARGETS hotot-qt5 DESTINATION bin)
set(HOTOT_QT_BIN hotot-qt5)
configure_file("${PROJECT_SOURCE_DIR}/../misc/hotot-qt5.desktop.in.in"
  hotot-qt5.desktop.in @ONLY)
intltool_merge_translation(
  "${CMAKE_CURRENT_BINARY_DIR}/hotot-qt5.desktop.in"
  "${CMAKE_CURRENT_BINARY_DIR}/hotot-qt5.desktop")
add_custom_target(desktopfile-qt5 ALL
  DEPENDS "${CMAKE_CURRENT_BINARY_DIR}/hotot-qt5.desktop")
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/hotot-qt5.desktop"
  DESTINATION share/applications/)

=== debian/changelog ===
hotot (1:0.9.8.14-3) unstable; urgency=low

  * Orphan this package. 

 -- Hideki Yamane <henrich@debian.org>  Sun, 06 Apr 2014 16:42:34 +0900

hotot (1:0.9.8.14-2) unstable; urgency=low

  * add debina/watch file and remove debian/source.lintian-overrides
  * debian/control
    - use canonical URL for Vcs-*

 -- Hideki Yamane <henrich@debian.org>  Wed, 19 Jun 2013 08:09:29 +0900

hotot (1:0.9.8.14-1) unstable; urgency=low

  * New upstream release (Closes: #712626)

 -- Hideki Yamane <henrich@debian.org>  Wed, 19 Jun 2013 07:48:18 +0900

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: hotot
 Section: net
 Priority: optional
-Maintainer: Hideki Yamane <henrich@debian.org>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends: debhelper (>= 8), python (>= 2.6.6-3~), python-distutils-extra, python-setuptools, cmake, libqt4-dev (>= 4:4.7), libqtwebkit-dev, dpkg-dev (>= 1.16.1~), python-gobject-dev, libwebkitgtk-3.0-dev
 Standards-Version: 3.9.4
 Homepage: http://www.hotot.org
-Vcs-Git: git://git.debian.org/collab-maint/hotot.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/hotot.git;a=summary
+Vcs-Git: git://anonscm.debian.org/collab-maint/hotot.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/hotot.git;a=summary
 
 Package: hotot
 Architecture: all

=== debian/watch ===
version=3
https://github.com/lyricat/Hotot/tags .*/v?(\d.*)\.(?:tgz|tbz2|tar\.(?:gz|bz2|xz)) debian uupdate
